Looking for OSX MythTV 31 frontend pre-built binary

For discussion of topics specific to MythTV on OSX
mgpaulus
Newcomer
Posts: 8
Joined: Sun Jul 26, 2020 10:41 pm
United States of America

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by mgpaulus » Thu Oct 15, 2020 11:46 pm

I grabbed the source forge prebuilt .dmg with plugins (MythFrontend-31-intel-10.15.6-v31-ea0831c74a-with-plugins) and threw it on my Mac mini w/Catalina. It starts, however, the first thing I get is a popup that says, "Error: MythTV database has newer TV schema (1361) than expected (1350).

Marks-Mac-mini:MacOS Mark$ ./mythfrontend --version
Please attach all output as a file in bug reports.
MythTV Version : v31.0-100-gea0831c74a
MythTV Branch : fixes/31
Network Protocol : 91
Library API : 31.20200101-1
QT Version : 5.14.2
Options compiled in:
profile using_corevideo using_backend using_bdjava using_bindings_perl using_bindings_python using_bindings_php using_darwin using_frontend using_hdhomerun using_vbox using_ceton using_libcec using_libcrypto using_gnutls using_libdns_sd using_libxml2 using_lirc using_mheg using_opengl using_qtwebkit using_qtscript using_qtdbus using_taglib using_libbluray_external using_profiletype using_appleremote using_bdjava using_bindings_perl using_bindings_python using_bindings_php using_fontconfig using_freetype2 using_mythtranscode using_opengl using_ffmpeg_threads using_mheg using_libass using_libxml2 using_libmp3lame


root@mythtv1:/etc/mythtv# mythbackend --version
Please attach all output as a file in bug reports.
MythTV Version : v31.0+fixes.202010122044.eb3c84de5f~ubuntu20.04.1
MythTV Branch : fixes/31
Network Protocol : 91
Library API : 31.20200101-1
QT Version : 5.12.8
Options compiled in:
linux profile use_hidesyms using_alsa using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_dvb using_firewire using_frontend using_hdhomerun using_vbox using_ceton using_hdpvr using_ivtv using_joystick_menu using_libcec using_libcrypto using_gnutls using_libdns_sd using_libfftw3 using_libxml2 using_lirc using_mheg using_opengl using_egl using_qtwebkit using_qtscript using_qtdbus using_taglib using_v4l2 using_x11 using_libbluray_external using_xrandr using_profiletype using_systemd_notify using_systemd_journal using_bindings_perl using_bindings_python using_bindings_php using_freetype2 using_mythtranscode using_opengl using_egl using_vaapi using_nvdec using_vdpau using_ffmpeg_threads using_mheg using_libass using_libxml2 using_libmp3lame
root@mythtv1:/etc/mythtv#

jhoyt
Junior
Posts: 97
Joined: Thu Aug 27, 2015 10:11 am
United States of America

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by jhoyt » Fri Oct 16, 2020 12:02 am

That's quite strange. I am running a similar setup - mythtv backend on Ubuntu 20.04 running database schema 1361 (actually same version from the mythbuntu ppa).

Are you using the Catalina build (10.15 in the dmg file name) or the High Sierra build (10.13 in the dmg file name?

Have you tried moving or deleting your users' .mythtv folder?

Can you run mythfrontend in the terminal and post the log output?

mgpaulus
Newcomer
Posts: 8
Joined: Sun Jul 26, 2020 10:41 pm
United States of America

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by mgpaulus » Fri Oct 16, 2020 12:32 am

Turns out that particular build was an incorrect build for me. I found MythFrontend-31-intel-10.15.6-v31-d3088629de-with-plugins, and all is working now with no version mismatch message.

jhoyt
Junior
Posts: 97
Joined: Thu Aug 27, 2015 10:11 am
United States of America

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by jhoyt » Fri Oct 16, 2020 12:46 am

Did you try running "MythFrontend-31-intel-10.15.6-v31-ea0831c74a-with-plugins" more than once?

I'm running that version on my computer (i.e. the one used to compile and post it to source forge) with no errors.

I've noticed that occasional builds on macOS fail the first time you try to open the application (with segfaults or config mismatches) and am curious is this is another weird failure.

BTW ea0831c74a is a newer git commit than d3088629de so it "should" work with the same mythbackend databse schema.

Another thought is if you recently updated your mythbackend from a previous database schema - sometimes you need to work through a series of dialog boxes notifying you of the schema change before newer mythfrontends will work.

jhoyt
Junior
Posts: 97
Joined: Thu Aug 27, 2015 10:11 am
United States of America

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by jhoyt » Sun Oct 25, 2020 4:30 pm

So I just experienced the same database is behind error messages on the latest builds (currently uploading to sourceforge). I'm not sure what is causing it, but quitting the application then re-opening it resolved the issue for me. I'll update the sourceforge wiki to include this as a known error.

User avatar
pvr4me
Senior
Posts: 723
Joined: Fri Feb 07, 2014 7:25 pm
Location: near Toronto, Canada
Contact:
Canada

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by pvr4me » Sun Oct 25, 2020 5:06 pm

Just a guess, but if you run the frontend with debug level verbosity of the database messages, maybe that might help narrow down the issue?

Craig
The MacPorts guy.

User avatar
pvr4me
Senior
Posts: 723
Joined: Fri Feb 07, 2014 7:25 pm
Location: near Toronto, Canada
Contact:
Canada

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by pvr4me » Sun Oct 25, 2020 5:10 pm

Another random thought. I believe MariaDB and MySQL API's have now diverged somewhat. Using bindings built for one flavour when the other is the actual database _could_ be contributing to this issue? What bindings is the frontend being built with? What database are affected users running?

Craig
The MacPorts guy.

jhoyt
Junior
Posts: 97
Joined: Thu Aug 27, 2015 10:11 am
United States of America

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by jhoyt » Sun Oct 25, 2020 5:20 pm

That's a good thought. My backend is running MySQL where as the mythtfrontend is using mariadb (mostly due to mariadb being the most up to date in macports when I started earlier in the year).

Unfortunately - I can't get the error to repeat. In the future when I make new builds I'll certainly run with a higher debug verbosity to try to get some insights.

mgpaulus
Newcomer
Posts: 8
Joined: Sun Jul 26, 2020 10:41 pm
United States of America

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by mgpaulus » Tue Oct 27, 2020 12:40 am

I just got a couple of Mac Mini 2009 for pretty cheap that I was thinking of using as MFEs. However, the highest level of OS they seem to support is El Capitan (10.11.6). Not sure if I could override them up to a later version of OS or not.

Anyway, I don't see a compatible version on your download site, but I was wondering if you thought it would be possible for me to build MFE on one of these boxes, or am I going to run into other issues that will make the whole exercise a Waste-Of-Time?

jhoyt
Junior
Posts: 97
Joined: Thu Aug 27, 2015 10:11 am
United States of America

Re: Looking for OSX MythTV 31 frontend pre-built binary

Post by jhoyt » Tue Oct 27, 2020 10:15 am

Long story short - I am currently only planning to keep building with High Sierra, Catalina, and eventually Big Sur. I may even deprecate either the Catalina or HS build in the future as I migrate my systems to Big Sur. Although I may decide to spin up another VM...

In regards to your question, I suspect most of the build script will work out of the box with older versions of MacOS and Xcode - i.e. the ansible, macports, and bundling related bits. There may be some missing macports for 10.11 - the ones I just sport checked claimed compatibility.

The big unknown is does El Capitain have a compatible version of Xcode that can build mythtv v31 or newer. According to this chart https://en.wikipedia.org/wiki/Xcode#Ver ... ison_table 10.11 you can go as high as Xcode 8 - which is where I'd suggest you start. When I build on HS I ended up using Xcode 10. I can't remember why but suspect it's because I was just going with the latest version.

At any rate - I'd suggest giving the 10.11 build a try since you have the available HW. The worst thing that will happen is that the script will die out somewhere probably in configure or compile stages.

If you do choose this adventure, please open a new Topic and given some running commentary on anyone successes/issues you come across. I've found this forum to be extremely helpful, supportive, and patient in helping to run down issues and get things working.

Post Reply